window.TastyRecipes = window.TastyRecipes || {};

window.TastyRecipes.smoothScroll = {
	init() {
		window.addEventListener( 'click', e => {
			let anchor = e.target;
			if ( ! anchor.classList.contains( 'tasty-recipes-scrollto' ) ) {
				if ( anchor.tagName === 'A' ) {
					return;
				}

				anchor = anchor.closest( 'a' );
				if ( ! anchor || ! anchor.classList.contains( 'tasty-recipes-scrollto' ) ) {
					return;
				}
			}

			const elementHref = anchor.getAttribute( 'href' );
			if ( ! elementHref ) {
				return;
			}

			e.preventDefault();
			this.goToSelector( elementHref );
		});
	},
	goToSelector( selector ) {
		const element = document.querySelector( selector );
		if ( ! element ) {
			return;
		}
		element.scrollIntoView( { behavior: 'smooth' } );
		history.pushState( {}, '', selector );
	}
};

(function( callback ) {
	if ( document.readyState !== 'loading' ) {
		callback();
	} else {
		window.addEventListener( 'load', callback );
	}
})(() => {
	window.TastyRecipes.smoothScroll.init();
});
